Skip to main content
POST
Create ledger account

Path Parameters

consumer_id
string<uuid>
required

Body

application/json
name
string
required

Name or label of the ledger account as it appears in the accounting system.

Minimum string length: 1
Example:

"Consulting services"

number
string
required

The account number in the chart of accounts. Must be unique within the accounting folder. In some countries (e.g., France, Belgium, Spain), the number structure is constrained by local accounting rules and must follow official charts of accounts (e.g., Plan Comptable Général).

Minimum string length: 3
Example:

"700000"

type
enum<string> | null
default:other
Available options:
bank,
cash,
other_financial,
receivable,
payable,
income,
expense,
other_expense,
vat,
other

Response

Successful Response

number
string
required

The account number in the chart of accounts. Must be unique within the accounting folder. In some countries (e.g., France, Belgium, Spain), the number structure is constrained by local accounting rules and must follow official charts of accounts (e.g., Plan Comptable Général).

Example:

"<this-account-number>"

name
string
required

Name or label of the account as it appears in the accounting system. This is typically used for internal referencing and identification of the account.

Example:

"Consulting services"

active
boolean | null
default:true

Flag indicating whether the account is active. If True, the account is active and can be used in transactions. If False, the account is inactive and cannot be used for transactions.

type
enum<string> | null

Represents the functional type of the ledger account, used to support common accounting operations such as payments, invoicing, tax handling, and reporting. The type here is more operational and aligned with how accounts are actually used in day-to-day processes (e.g., tracking receivables, recording VAT, handling bank transactions)

Available options:
bank,
cash,
other_financial,
receivable,
payable,
income,
expense,
other_expense,
vat,
other
id
string | null

The provider's own unique id for this account, when the connector's underlying provider identifies accounts by id rather than (or in addition to) number -- e.g. to pass as account_id when creating/updating a supplier.